# Method: advertisers.locationLists.assignedLocations.bulkEdit

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.BulkEditAssignedLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#try-it)

Bulk edits multiple assignments between locations and a single location list.

The operation will delete the assigned locations provided in `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.request_body.FIELDS.deleted_assigned_locations` and then create the assigned locations provided in `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations/bulkEdit#body.request_body.FIELDS.created_assigned_locations`.

### HTTP request

`POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations:bulkEdit`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the DV360 advertiser to which the location list belongs. |
| `locationListId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the location list to which these assignments are assigned. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deletedAssignedLocations": [ string ], "createdAssignedLocations": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations#AssignedLocation`) } ] } ``` |

| Fields ||
|---|---|
| `deletedAssignedLocations[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The IDs of the assigned locations to delete in bulk, specified as a list of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations#AssignedLocation.FIELDS.assigned_location_id` values. |
| `createdAssignedLocations[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations#AssignedLocation`)`` The assigned locations to create in bulk, specified as a list of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations#AssignedLocation` resources. |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "assignedLocations": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations#AssignedLocation`) } ] } ``` |

| Fields ||
|---|---|
| `assignedLocations[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.locationLists.assignedLocations#AssignedLocation`)`` The list of assigned locations that have been successfully created. This list will be absent if empty. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).